/********************************************************************************
*                                                                               *
*       					Main Program                                        *
*																				*
*		M.Adas - European DSP Applications - July 2003							*
*																				*	
*********************************************************************************/
	
/* ADSP-21161 System Register bit definitions */
#include 	"def21161.h"

.GLOBAL		main;
.extern		reset_codec;
.extern     Program_AD74111;
.extern 	Setup_DMA_Channels_Sport13;
.extern		init_dags;
.extern		Init_sport_regs;


.section /pm pm_code;

main:
	
	call reset_codec; 
	call Program_AD74111;
	call Setup_DMA_Channels_Sport13;
	call init_dags;
	call Init_sport_regs;	
	
	r15=0x0;
	IRPTL = 0x00000000;						/* clear pending interrupts */
	bit set mode1 IRPTEN;   				/* enable global interrupts, nesting */	
	bit set imask SP1I|SP3I;				/* start audio processing, enable SPORT1 tx & rx int */


wait_forever:								/* wait forever loop */
	idle;
 	jump wait_forever;


main.end:


 









