/********************************************************************************
*                                                                               *
*       AD74111 Reset Routine							   						*
*																				*
*		M.Adas - European DSP Applications - August 2003						*
*																				*	
*********************************************************************************/

/* ADSP-21161 System Register bit definitions */
#include 	"def21161.h"

.extern reset_codec;

.section /pm pm_code;

reset_codec:

		bit set MODE2 FLG0O;				// set Flag 0 as output
		nop;	
		bit set FLAGS FLG0;			// value of Flag 0
		nop;
		nop;
		nop;
		bit clr FLAGS FLG0;
		nop;
		lcntr = 100, do (pc,2) until lce;	// tRS DIN setup time 
				nop;						// 5 MCLKs before the rising edge of the reset
				nop;
				nop;
				
		bit set FLAGS FLG0;				// rising edge of the external reset 
		

		lcntr = 100, do (pc,2) until lce;	// tRH DIN setup time
				nop;						// 5 MCLKs after the rising edge of the reset
				nop;		
              	nop;
              	
reset_codec.end:
				rts;

	
